{% extends 'base.html.twig' %}

{% block body -%}
    <h1>{{ isEditing ? 'Modifica' : 'Creazione' }} dei dati del server mdm</h1>

    {{ form_start(main_form) }}
    {#catturo gli autocomplete#}
    <input id="fakeUser" type="text" autocomplete="off" style="display: none;"/>
    <input id="fakePw" type="password" autocomplete="off" style="display: none;"/>

    {{ form_row(main_form.name) }}
    {{ form_row(main_form.type) }}
    {{ form_row(main_form.connectorDataCont) }}
    {{ form_row(main_form.active) }}

    {{ form_widget(main_form.submit, {'attr':{'style' : 'display: none'}}) }}
    {{ form_end(main_form) }}

    <div class="row sendBtnArea">
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
            <label for="{{ main_form.submit.vars.id }}" class="btn btn-success">{{ main_form.submit.vars.label }}</label>
        </div>
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
            <a href="{{ path('config_edit') }}#mdmServer" class="btn btn-info">
                Ritorna alla lista
            </a>
        </div>
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
            {% if delete_form is defined %}
                {{ form(delete_form) }}
            {% endif %}
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
<script type="text/javascript">
    $(document).ready(function() {
        var connectorDataCont = $("#mdm_server_connectorDataCont"); //@todo fix
        var updateConnectorOptions = function() {
            var currentConnector = $("#mdm_server_type").val();
            connectorDataCont.children(".form-group").each(function(idx,el) {
                var $el = $(el);
                var id = $el.children("div").attr("id");
                if(id !== undefined && id != "" && id.replace("mdm_server_connectorDataCont_","") == currentConnector) {
                    $el.show();
                } else {
                    $el.hide();
                }
            });
        };

        connectorDataCont.children(".form-group").children("label").hide();
        connectorDataCont.parent().children("label").hide();
        updateConnectorOptions();
        $("#mdm_server_connector").change(updateConnectorOptions);
    });
</script>
{% endblock %}
